
Name:           mindforger
Version:        1.49.0
Release:        1%{?dist}
Summary:        Thinking notebook and Markdown IDE
License:        GPL-2.0-only
URL:            https://www.mindforger.com/
Source:         https://github.com/dvorka/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  cmark
BuildRequires:  ccache
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

%description
Are you drowning in information, but starving for knowledge? Where do you keep your private remarks like ideas, personal plans, gift tips, how-tos, dreams, business vision, finance strategy, auto coaching notes? Loads of documents, sketches and remarks spread around the file system, cloud, web and Post-it notes? Are you affraid of your knowledge privacy? Are you able to find then once you create them? Do you know how are they mutually related when you read or write them? No?

%package devel
Summary:        Devel files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development files for %{name}.

%prep
%autosetup

%build
pushd deps/cmark-gfm
mkdir build && pushd build
%cmake -DCMARK_TESTS=OFF -DCMARK_SHARED=OFF ..
cmake --build .
popd
popd

pushd deps/discount
./configure.sh
make %{?_smp_mflags}
popd
qmake-qt5 -r mindforger.pro
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

%fdupes %{buildroot}/%{_prefix}

%files
%license LICENSE
%doc Changelog README.md CONTRIBUTING.md CREDITS.md KNOWN_ISSUES.md
%{_bindir}/mindforger
%{_datadir}/applications/*.desktop
%{_datadir}/icons/%{name}
%exclude %{_datadir}/doc/mindforger
%{_datadir}/doc/mindforger/*
%{_mandir}/man1/*

%files devel
%{_prefix}/lib/libdiscount.a

%changelog
* Thu Nov 15 2018 dead_mozay@nom-it.ru
- Update to version 1.48.2+20181114.965837f:
  * Fixing main toolbar title.
* Wed Nov 14 2018 dead_mozay@nom-it.ru
- New package
